summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Ruppert <idl0r@gentoo.org>2009-04-30 17:03:07 +0000
committerChristian Ruppert <idl0r@gentoo.org>2009-04-30 17:03:07 +0000
commitf9118a5a76ae73d52ff2f8b400b8f1c76c6aa70f (patch)
treeeef34118298907f02b05d86b78220b27471cfdaa /net-misc/igmpproxy/igmpproxy-0.1_beta2_p20090417.ebuild
parentBump to 0.8.2. Fixed dependencies, removed gcc 4.3 patch since it has been in... (diff)
downloadsunrise-f9118a5a76ae73d52ff2f8b400b8f1c76c6aa70f.tar.gz
sunrise-f9118a5a76ae73d52ff2f8b400b8f1c76c6aa70f.tar.bz2
sunrise-f9118a5a76ae73d52ff2f8b400b8f1c76c6aa70f.zip
Bump. src_configure has been removed since Constantin fixed bindir.
(Portage version: 2.2_rc31/svn/Linux x86_64) svn path=/sunrise/; revision=8467
Diffstat (limited to 'net-misc/igmpproxy/igmpproxy-0.1_beta2_p20090417.ebuild')
-rw-r--r--net-misc/igmpproxy/igmpproxy-0.1_beta2_p20090417.ebuild30
1 files changed, 30 insertions, 0 deletions
diff --git a/net-misc/igmpproxy/igmpproxy-0.1_beta2_p20090417.ebuild b/net-misc/igmpproxy/igmpproxy-0.1_beta2_p20090417.ebuild
new file mode 100644
index 000000000..b4588cffd
--- /dev/null
+++ b/net-misc/igmpproxy/igmpproxy-0.1_beta2_p20090417.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit autotools linux-info
+
+DESCRIPTION="Multicast Routing Daemon using only IGMP signalling (Internet Group Management Protocol)"
+HOMEPAGE="http://sourceforge.net/projects/igmpproxy"
+SRC_URI="http://dev.gentooexperimental.org/~idl0r/distfiles/${P}.tar.bz2"
+
+LICENSE="GPL-2 Stanford"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~x86-fbsd"
+IUSE=""
+
+CONFIG_CHECK="IP_MULTICAST IP_MROUTE"
+
+src_prepare() {
+ # Create necessary files.
+ eautoreconf
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+
+ newinitd "${FILESDIR}"/igmpproxy-init.d ${PN} || die
+ newconfd "${FILESDIR}"/igmpproxy-conf.d ${PN} || die
+}